pydo.registries.get_docker_credentials()
Generated on 8 May 2026
from pydo version
v0.34.0
Usage
client.registries.get_docker_credentials(registry_name="example")Description
In order to access your container registry with the Docker client or from a
Kubernetes cluster, you will need to configure authentication. The necessary
JSON configuration can be retrieved by sending a GET request to
/v2/registries/{registry_name}/docker-credentials.
The response will be in the format of a Docker config.json file. To use the
config in your Kubernetes cluster, create a Secret with:
kubectl create secret generic docr \
--from-file=.dockerconfigjson=config.json \
--type=kubernetes.io/dockerconfigjson
By default, the returned credentials have read-only access to your registry
and cannot be used to push images. This is appropriate for most Kubernetes
clusters. To retrieve read/write credentials, suitable for use with the Docker
client or in a CI system, read_write may be provided as query parameter. For
example: /v2/registries/{registry_name}/docker-credentials?read_write=true
By default, the returned credentials will not expire. To retrieve credentials
with an expiry set, expiry_seconds may be provided as a query parameter. For
example: /v2/registries/{registry_name}/docker-credentials?expiry_seconds=3600 will return
credentials that expire after one hour.
Parameters
registry_namestring requiredThe name of a container registry.
Request Sample
Response Example
More Information
See /v2/registries/{registry_name}/docker-credentials in the API reference for additional detail on responses, headers, parameters, and more.